Skip to content

Check Functions (FaaS) Activation

GET
/api/v1/faas/namespace/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/faas/namespace/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Check if Functions (FaaS) is activated on your E2E Myaccount.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Namespace exists

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "Namespace e2e-faas-28393-dl exists",
"errors": {},
"message": "Success"
}